### Hierarchy

- unknown
  - MarketPriceInfo

## Index

### Constructors

- constructor

### Methods

- getCurrencyCode
- getPrice
- serializeBinary
- setCurrencyCode
- setPrice
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MarketPriceInfo(): MarketPriceInfo

- Inherited from jspb.Message.constructor

  #### Returns MarketPriceInfo

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2110

  #### Returns string

### getPrice

- getPrice(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2113

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2116

  #### Returns Uint8Array

### setCurrencyCode

- setCurrencyCode(value: string): MarketPriceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2111

  #### Parameters

  - ##### value: string

  #### Returns MarketPriceInfo

### setPrice

- setPrice(value: number): MarketPriceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2114

  #### Parameters

  - ##### value: number

  #### Returns MarketPriceInfo

### toObject

- toObject(includeInstance?: boolean): MarketPriceInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2117

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MarketPriceInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketPriceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2120

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketPriceInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketPriceInfo, reader: BinaryReader): MarketPriceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2121

  #### Parameters

  - ##### message: MarketPriceInfo

  - ##### reader: BinaryReader

  #### Returns MarketPriceInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketPriceInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2119

  #### Parameters

  - ##### message: MarketPriceInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MarketPriceInfo ): MarketPriceInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2118

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketPriceInfo

  #### Returns MarketPriceInfo . AsObject

Generated using TypeDoc